package cn.ibizlab.api.rest.extensions;

import cn.ibizlab.core.uaa.extensions.domain.PermissionNode;
import cn.ibizlab.core.uaa.extensions.service.UAACoreService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.validation.constraints.NotBlank;
import java.util.List;
import java.util.Map;

@RestController
public class UAACoreResource {

    @Autowired
    private UAACoreService uaaCoreService;

    /**
     * 获取全部菜单列表和数据能力列表和统一资源列表
     *
     * @return
     */
    @GetMapping(value = "/sysroles/{roleid}/sysrolepermissions/tree")
    public ResponseEntity<Map<String, List<PermissionNode>>> getTree(@Validated @NotBlank(message = "roleid不允许为空")@PathVariable("roleid") String roleid) {
        Map<String,List<PermissionNode>> map = uaaCoreService.getPermissionTree();
        map.put("SELECTED",uaaCoreService.getRolePermissionByRoleId(roleid));
        return ResponseEntity.ok().body(map);
    }



}
